You can import this changeset into BK by piping this whole message to:
'| bk receive [path to repository]' or apply the patch as usual.

===================================================================


ChangeSet@1.1422.1.9, 2003-11-13 01:19:18-02:00, acme@conectiva.com.br
  o X25: use sk_wait_data


 af_x25.c |   27 +--------------------------
 1 files changed, 1 insertion(+), 26 deletions(-)


diff -Nru a/net/x25/af_x25.c b/net/x25/af_x25.c
--- a/net/x25/af_x25.c	Sat Nov 15 17:01:37 2003
+++ b/net/x25/af_x25.c	Sat Nov 15 17:01:37 2003
@@ -717,31 +717,6 @@
 	return rc;
 }
 
-static int x25_wait_for_data(struct sock *sk, int timeout)
-{
-	DEFINE_WAIT(wait);
-	int rc = 0;
-
-	while (1) {
-		prepare_to_wait_exclusive(sk->sk_sleep, &wait,
-					  TASK_INTERRUPTIBLE);
-		if (sk->sk_shutdown & RCV_SHUTDOWN)
-			break;
-		rc = -ERESTARTSYS;
-		if (signal_pending(current))
-			break;
-		rc = -EAGAIN;
-		if (!timeout)
-			break;
-		rc = 0;
-		if (sk_wait_event(sk, &timeout,
-				  !skb_queue_empty(&sk->sk_receive_queue)))
-			break;
-	}
-	finish_wait(sk->sk_sleep, &wait);
-	return rc;
-}
-	
 static int x25_accept(struct socket *sock, struct socket *newsock, int flags)
 {
 	struct sock *sk = sock->sk;
@@ -757,7 +732,7 @@
 		goto out;
 
 	lock_sock(sk);
-	rc = x25_wait_for_data(sk, sk->sk_rcvtimeo);
+	rc = sk_wait_data(sk, sk->sk_rcvtimeo);
 	if (rc)
 		goto out2;
 	skb = skb_dequeue(&sk->sk_receive_queue);

===================================================================


This BitKeeper patch contains the following changesets:
1.1422.1.9
## Wrapped with gzip_uu ##


M'XL( !%XMC\  [U4;6O;,!#^'/T*0;]L;+;O3K+\,ERZM6,K'2QD%/8M*+(Z
MA]36L-6T __XJ2EKERXEK(Q)0@=WQ^G1<X]TP,\'VY<3;5K+#OA'-_AR8EQG
MC5^N=6Q<&R_Z$)@Y%P))XUJ;W.8FBQ4EG?41Q2I&%C*FVIN&KVT_E!.,Q;W'
M__ANR\GL_8?S3V]GC%45/VYT]\U^L9Y7%?.N7^O+>CC2OKET7>Q[W0VM]9NS
MQ_O4D0 HS!0S :D:48',1H,UHI9H:R"9*\ENH1T]AK]=12"B"+L@&%&F1<I.
M.,8HB6*,"PXB04Q0<, 2BQ+S"*@$X#LK\U?((V#O^+^]Q3$SW/&OE);\:K!\
M6,VO]=+/:^TU.^,H%2@V?:"117\Y& ,-[' /ZM#=Y(;21%_,@XG-[^"+M!BE
MR@!'NQ F3_/B(L]PD4K:3=3.8K\ZD<MB%$02-^IXG+E?),\#^H16G@)*J$@@
MC) 29!O)B'Q;+'DIB[UB(?6?U7)'[&<>]=>;%;H__8/C9RCH)"/@%!Y/IH C
M.[TSDS[T:PO"BV'U.CBBP^#LS=HO6^M>OGGX,$QCS6JX:BN412T(!?L)JY"O
%OY,$    
 
